# change this to a config module soon:
require '../config/configuration'
require '../config/initializers/sidekiq'
require 'rest-client'
require 'json'
require 'yaml'
require 'optparse'
require 'pastebinner/version'
require 'pastebinner/option_parser'
require 'pastebinner/api_client'
require 'pastebinner/helpers/elastic_search_helper'
require 'pastebinner/workers/paste_to_es'

module Pastebinner
  
  class << self
    attr_accessor :configuration
  end

  def self.configuration
    @configuration ||= Configuration.new
  end

  def self.reset
    @configuration = Configuration.new
  end

  def self.configure
    yield(configuration)
  end

end
